Name:       ibus-table-scj
Version:    6.2.2
Release:    1
Summary:    CangJie tables for IBus-Table
License:    Public Domain and GPLv2+ 
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://www.scj2000.net/Linux/ibus/source/%{name}_%{version}-%{release}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2
Requires(post):   ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2

%description
SmartCangjie input method based on table engine of ibus
IBus-Table is the IM Engine framework for table-based input 
methods, such as WuBi, ErBi, Cangjie and so on.
This package provide a input method: scj6.
SmartCangJie is a Traditional Chinese input method, 
check more information at http://www.scj2000.com/

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
%configure \
    --prefix=%{_prefix} \
    --enable-scj6
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n scj6.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/scj6.db
%{_datadir}/ibus-table/icons/scj6.svg

%changelog
* Tue Dec 1 2009 Quintus Leung <quintus@scj2000.net> - 6.2.2-1
-  initial release
